%define lib_name %mklibname cddb-slave 2 %{lib_major}
%define lib_major 0
%define name    gnome-media
%define version 2.32.0
%define release %mkrel 3

Summary:	GNOME media programs
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
BuildRequires:	libgnomeui2-devel
BuildRequires:	ncurses-devel scrollkeeper sendmail-devel
BuildRequires: 	gail-devel >= %{req_gail_version}
BuildRequires: 	libgstreamer-plugins-base-devel >= %{req_gstreamer_version}
BuildRequires: 	gstreamer0.10-plugins-base
BuildRequires:  gstreamer0.10-plugins-good
BuildRequires: 	pulseaudio-devel
BuildRequires: 	intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libunique-devel
BuildRequires:  libGConf2-devel
BuildRequires:  libgladeui1_-devel
BuildRequires:  libxrender-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch1: 	gnome-media-2.29.91-format-string.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   	gstreamer0.10-cdparanoia >= %{req_gstreamer_version}
Requires:   	gstreamer0.10-plugins-good
Requires:   	gstreamer0.10-plugins-base
Requires:   	gstreamer0.10-flac
Requires:   	gstreamer0.10-speex
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	grecord
Provides:	grecord
Requires(post):	scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires(pre): 	GConf2
Obsoletes:	libcddb-slave2_0 < %version-%release
Provides:	libcddb-slave2_0 = %version-%release


%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with
a window manager for the X Window System. GNOME is similar
in purpose and scope to CDE and KDE, but GNOME (as KDE) 
is based completely on Open Source software.
GNOME's powerful environment is pleasing on the eye, easy to
configure and use.
This package will install such media features as the GNOME
CD player.

%description -l de
GNOME-Medienprogramme GNOME (GNU Network Object Model Environment)
ist ein benutzerfreundlicher Satz von Anwendungen und Desktop-Werkzeugen
für die Nutzung in Verbindung mit einem Fenstermanager für das X Window System.
GNOME ist ähnlich in Zweck und Anwendungsbereich zu CDE und KDE, aber GNOME
(wie KDE) basiert vollständig auf Open-Source-Software. GNOMEs leistungsfähige
Umgebung ist schön anzusehen, leicht zu konfigurieren und zu verwenden.
Dieses Paket wird solche Medieneinrichtungen wie den GNOME-CD-Player installieren.

#french
%description -l fr
Programmes multimédia GNOME.

GNOME (GNU Network Object Model Environment) est un environnement
graphique de type bureau. Il rends l'utilisation de votre ordinateur
plus facile, agréable et eficace, et est facile à configurer.

#spanish
%description -l es
El apoyo multimedia para el escritorio Gnome.

#polish
%description -l pl
Programy multimedialne dla GNOME.

#serbian
%description -l sr
Мултимедија подршку за ГНОМЕ десктоп.

#dutch
%description -l nl
Multimedia ondersteuning voor de Gnome desktop.


%package  devel
Summary:	Static libraries, include files for GNOME media
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Obsoletes: 	%mklibname -d cddb-slave 2 0
Obsoletes:	libcddb-slave2_0-devel < %{version}-%{release}
Provides:	libcddb-slave2-devel = %{version}-%{release}	

%description  devel
Panel libraries and header files for GNOME media.

%description  devel -l-de
Panel Bibliothek und Header Dateien für Gnome Media.

%prep
%setup -q 
%patch1 -p1

%build
autoreconf -fi
%configure2_5x  --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

desktop-file-install --vendor="" \
  --add-category="DesktopSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gstreamer-properties.desktop

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sound-recorder.desktop


%find_lang %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??.omf,};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_scrollkeeper
%define schemas gnome-sound-recorder gnome-audio-profiles
%post_install_gconf_schemas %schemas
%{update_menus}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
/sbin/ldconfig
%clean_scrollkeeper
%{clean_menus}
%clean_icon_cache hicolor

%files -f  %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%_sysconfdir/xdg/autostart/gnome-volume-control-applet.desktop
%{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas
%{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas
%{_bindir}/*
%_libdir/glade3/modules/libgnome-media-profiles.la
%_libdir/glade3/modules/libgnome-media-profiles.so
%_datadir/glade3/catalogs/gnome-media-profiles.xml
%{_datadir}/applications/gnome-sound-recorder.desktop
%{_datadir}/applications/gnome-volume-control.desktop
%{_datadir}/applications/gstreamer-properties.desktop
%{_datadir}/gnome-media
%{_datadir}/gnome-sound-recorder
%{_datadir}/gstreamer-properties
%_datadir/icons/hicolor/*/*/*.*
%dir %_datadir/sounds/
%dir %_datadir/sounds/gnome/
%_datadir/sounds/gnome/default/
%{_libdir}/libgnome-media-profiles.so.%{lib_major}*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/gnome-media-profiles.pc
%{_includedir}/*


%changelog
* Sun Jan 30 2011 Texstar <texstar at gmail.com> 2.32.0-3pclos2011
- rebuild against updated glade 3
- add libgladeui1_-devel as build dep

* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-2pclos2010
- adjust build

* Tue Sep 28 2010 siamer <siamer@wp.pl> 2.32.0-1pclos2010
- new version
- archive in xz

* Tue Mar 30 2010 Texstar <texstar at gmail.com> 2.30-2pclos2010
- add missing glade3 modules
- fix post script error

* Tue Mar 30 2010 siamer <siamer@wp.pl> 2.30-1pclos2010
- new version
- no needed patches: 0, 2, 3, 
- patches removed: 1, 

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 2.28.1-4pclos2010
- rebuild libtool 2.26

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 2.28.1-3pclos2010
- rebuild

* Wed Dec 23 2009 maik3531 <maik3531 at yahoo dot de> 2.28.1-2pclos2010
- sync with mdv
- Patch0 (GIT): fix startup page
- Patch1 (GIT): update sink/source description on the fly (GNOME bug #597025)
- Patch2 (GIT): fix window title at startup (GNOME bug #598887)
- Patch3 (GIT): improve layout (GNOME bug #598822)
- Patch4 (GIT): fix bluriness in level bar

* Fri Oct 23 2009 siamer <siamer@wp.pl> 2.28.1-1pclos2010
- new version 2.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Sat Oct 03 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri May 29 2009 Texstar <texstar@gmail.com> 2.26.0-2pclos2009
- rebuild

* Wed Apr 29 2009 siamer <siamer@wp.pl> 2.26.0-1pclos2009
- new version 2.26.0

* Sun Oct 19 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.0.1-1pclos2007
- New version 2.24.0.1

* Tue Aug 26 2008 don_crissti <don_crissti@gmx.com> 2.22.0-1pclos2007
- new version
- removed patches 1 and 2 ; added patch 0

* Fri Nov 30 2007 Texstar <texstar@gmail.com> 2.20.1-1pclos2007
- 2.20.1

* Mon Sep 02 2007 Texstar <texstar@gmail.com> 2.18.0-1pclos2007
- 2.18.0
- remove old menu system
- apply mdv patches

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 2.16.1-3pclos2007
- Build for PCLinuxOS 2007 
